Foxit PDF SDK

Public Member Functions | Properties | List of all members
foxit.pdf.actions.SOAPResponseInfo Class Reference

Inherits SystemIDisposable.

## Public Member Functions
| SOAPResponseInfo ()
| Constructor.
| SOAPResponseInfo (string response_header, string response_body, string network_error, int status_code)
| Constructor, with parameters. More...
| SOAPResponseInfo (SOAPResponseInfo soap_response)
| Constructor, with another SOAP response object. More...
void | Set (string response_header, string response_body, string network_error, int status_code)
| Set values. More...

## Properties
string | network_error`[get, set]`
| Network error information of the SOAP response.
string | response_body`[get, set]`
| Body of the SOAP response.
string | response_header`[get, set]`
| Header of the SOAP response.
int | status_code`[get, set]`
| Status code of the response.

## Detailed Description

This class represents SOAP response.

## Constructor & Destructor Documentation

## ◆ SOAPResponseInfo() [1/2]

foxit.pdf.actions.SOAPResponseInfo.SOAPResponseInfo | ( | string | response_header,
|  | string | response_body,
|  | string | network_error,
|  | int | status_code
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | response_header | Header of the SOAP response.
  [in] | response_body | Body of the SOAP response.
  [in] | network_error | Network error information of the SOAP response.
  [in] | status_code | Status code of the response.

## ◆ SOAPResponseInfo() [2/2]

foxit.pdf.actions.SOAPResponseInfo.SOAPResponseInfo | ( | SOAPResponseInfo | soap_response | ) |
| inline

Constructor, with another SOAP response object.

Parameters

  [in] | soap_response | Another SOAP response object.

## Member Function Documentation

## ◆ Set()

void foxit.pdf.actions.SOAPResponseInfo.Set | ( | string | response_header,
|  | string | response_body,
|  | string | network_error,
|  | int | status_code
| ) |  |
| inline

Set values.

Parameters

  [in] | response_header | Header of the SOAP response.
  [in] | response_body | Body of the SOAP response.
  [in] | network_error | Network error information of the SOAP response.
  [in] | status_code | Status code of the response.

Returns
  None.